import { EditorState, ContentBlock, ContentState, SelectionState, BlockMap } from 'draft-js';
/**
 *
 */
export declare const getBlockDataForKey: (contentState: ContentState, blockKey: string) => Immutable.Map<any, any>;
/**
 * Returns collection of blocks.
 */
export declare function getBlocksMapBetween(blockMap: BlockMap, startKey: string, endKey: string): Immutable.Iterable<string, ContentBlock>;
/**
 * Returns array of blocks.
 */
export declare function getBlocksBetween(contentState: ContentState, startKey: string, endKey: string): ContentBlock[];
/**
 * Returns array keys of blocks.
 */
export declare function getBlocksKeysBetween(contentState: ContentState, startKey: string, endKey: string): string[];
/**
 * Add block level meta-data.
 */
export declare const setBlockData: (editorState: EditorState, contentState: ContentState, selection: SelectionState, blockData: any) => EditorState;
/**
 *
 */
export declare const setAllBlocksData: (editorState: EditorState, contentState: ContentState, blockData: any) => EditorState;
/**
 *
 */
export declare const insertText: (editorState: EditorState, contentState: ContentState, selection: SelectionState, text: string) => EditorState;
/**
 *
 */
export declare const replaceWithFragment: (editorState: EditorState, contentState: ContentState, selection: SelectionState, contentBlocks: ContentBlock[]) => EditorState;
export declare const pushContentStateFromArray: (editorState: EditorState, contentBlocks: ContentBlock[]) => EditorState;
/**
 * Return a new selection by merging the outdentation offset.
 */
export declare const mergeOutdentSelection: (selection: SelectionState) => SelectionState;
/**
 * Return a new selection by merging the indentation offset.
 *
 * The function will always keep the start of the selection
 * of the first row when it starts at 0.
 */
export declare const mergeIndentSelection: (selection: SelectionState) => SelectionState;
export declare const cloneContentBlock: (contentBlock: ContentBlock, text: string) => ContentBlock;
/**
 *
 */
export declare const indentBlock: (editorState: EditorState, contentState: ContentState, selection: SelectionState, blockKey: string) => EditorState;
/**
 *
 */
export declare const indentBlocksForKeys: (editorState: EditorState, selection: SelectionState, contentState: ContentState, blockKeys: any) => EditorState;
/**
 *
 */
export declare const indentSelection: (editorState: EditorState, contentState: ContentState) => EditorState;
/**
 *
 */
export declare const outdentBlocksForKeys: (editorState: EditorState, selection: SelectionState, contentState: ContentState, blockKeys: any) => EditorState;
/**
 *
 */
export declare const outdentSelection: (editorState: EditorState, contentState: ContentState) => EditorState;
/**
 *
 */
export declare const mergeBlockData: (editorState: EditorState, contentState: ContentState, blockKey: string) => EditorState;
